Skip to content
Permalink
Browse files

kubeadm: recommend installing calico 3.8 (#15090)

This change is required since the 3.8 manifest moves to using
apps/v1 instead of extensions/v1beta1 for types like DaemonSet
and Deployment.

See PR 70672 of k/k.
  • Loading branch information...
neolit123 authored and k8s-ci-robot committed Jul 7, 2019
1 parent 43903a8 commit 7e3f1789b2e9d67fada397e1685f4b09e8ef004a
@@ -295,7 +295,7 @@ For more information about using Calico, see [Quickstart for Calico on Kubernete
For Calico to work correctly, you need to pass `--pod-network-cidr=192.168.0.0/16` to `kubeadm init` or update the `calico.yml` file to match your Pod network. Note that Calico works on `amd64`, `arm64`, and `ppc64le` only.

```shell
kubectl apply -f https://docs.projectcalico.org/v3.7/manifests/calico.yaml
kubectl apply -f https://docs.projectcalico.org/v3.8/manifests/calico.yaml
```

{{% /tab %}}

0 comments on commit 7e3f178

Please sign in to comment.
You can’t perform that action at this time.